<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.4.1</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.gke</groupId>
	<artifactId>launchingtogke</artifactId>
	<version>1.0.0</version>
	<name>launchingtogke</name>
	<description>project launch spring to gke</description>
	<packaging>jar</packaging>

	<properties>
		<java.version>1.8</java.version>
		<spring-cloud-gcp.version>2.0.0-RC2</spring-cloud-gcp.version>
		<spring-cloud.version>2020.0.0-RC1</spring-cloud.version>
	</properties>

	<dependencies>
		
<!-- 		<dependency> -->
<!-- 			<groupId>org.springframework.boot</groupId> -->
<!-- 			<artifactId>spring-boot-starter-data-jpa</artifactId> -->
<!-- 		</dependency> -->

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		
<!-- 		<dependency> -->
<!-- 			<groupId>com.google.cloud</groupId> -->
<!-- 			<artifactId>spring-cloud-gcp-starter</artifactId> -->
<!-- 		</dependency> -->
<!-- 		<dependency> -->
<!-- 			<groupId>com.google.cloud</groupId> -->
<!-- 			<artifactId>spring-cloud-gcp-starter-storage</artifactId> -->
<!-- 		</dependency> -->

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
			<exclusions>
				<exclusion>
					<groupId>org.junit.vintage</groupId>
					<artifactId>junit-vintage-engine</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>

<!-- 	<dependencyManagement> -->
<!-- 		<dependencies> -->
<!-- 			<dependency> -->
<!-- 				<groupId>org.springframework.cloud</groupId> -->
<!-- 				<artifactId>spring-cloud-dependencies</artifactId> -->
<!-- 				<version>${spring-cloud.version}</version> -->
<!-- 				<type>pom</type> -->
<!-- 				<scope>import</scope> -->
<!-- 			</dependency> -->
<!-- 			<dependency> -->
<!-- 				<groupId>com.google.cloud</groupId> -->
<!-- 				<artifactId>spring-cloud-gcp-dependencies</artifactId> -->
<!-- 				<version>${spring-cloud-gcp.version}</version> -->
<!-- 				<type>pom</type> -->
<!-- 				<scope>import</scope> -->
<!-- 			</dependency> -->
<!-- 		</dependencies> -->
<!-- 	</dependencyManagement> -->

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

<!-- 	<repositories> -->
<!-- 		<repository> -->
<!-- 			<id>spring-milestones</id> -->
<!-- 			<name>Spring Milestones</name> -->
<!-- 			<url>https://repo.spring.io/milestone</url> -->
<!-- 		</repository> -->
<!-- 	</repositories> -->

</project>
